import type { AuthAction, AuthOptions } from "./types";
import type { Cookie } from "./lib/cookie";
export interface RequestInternal {
    /** @default "http://localhost:3000" */
    host?: string;
    method?: string;
    cookies?: Partial<Record<string, string>>;
    headers?: Record<string, any>;
    query?: Record<string, any>;
    body?: Record<string, any>;
    action: AuthAction;
    providerId?: string;
    error?: string;
}
export interface NextAuthHeader {
    key: string;
    value: string;
}
export interface ResponseInternal<Body extends string | Record<string, any> | any[] = any> {
    status?: number;
    headers?: NextAuthHeader[];
    body?: Body;
    redirect?: string;
    cookies?: Cookie[];
}
/**
 * The core functionality of `next-auth`.
 * It receives a standard [`Request`](https://developer.mozilla.org/en-US/docs/Web/API/Request)
 * and returns a standard [`Response`](https://developer.mozilla.org/en-US/docs/Web/API/Response).
 */
export declare function AuthHandler(request: Request, options: AuthOptions): Promise<Response>;
